(function(angular){
    'use strict';

    angular.module('edit_class', [
        'edit_class.controllers',
        'edit_class.services',
        'djangular',
        'directive.waiting-screen',
        'directive.alertPopup',
        'directive.fixedBar',
        'ngSanitize',
        'core.services',
        // 'ui.bootstrap',
        'ui.select',
        'shared',
    ]);

    angular.module('edit_class').run(['gettextCatalog', function (gettextCatalog) {
    /* jshint -W100 */
        gettextCatalog.setStrings('es', {"Class name": "Nombre de la clase", "Assistant professor": "Profesor asistente", "Students": "Estudiantes", "Actions": "Acciones", "Classes":"Clases","Create class": "Crear clase", "See class": "Ver clase", "No classes found": "No se encontraron clases"});
        gettextCatalog.setStrings('pt_br', {"Class name": "Nome da Turma", "Assistant professor": "Professor Assistente", "Students": "Alunos", "Actions": "Ações","Classes":"Turmas", "Create class": "Criar turma", "See class": "Ver turma", "No classes found": "Nenhuma turma encontrada"});
    /* jshint +W100 */
    }]);
})(angular);
