
(function (angular) {
    'use strict';

    // Declare app level module which depends on filters, and services
    angular.module('reports', [
        'gettext',
        'reports.controllers',
        'reports.services',
        'timtec-models',
        'ui.bootstrap',
        'shared',
    ]);

    angular.module('reports').run(['gettextCatalog', 'UserLocalStorage', function (gettextCatalog, UserLocalStorage) {
        gettextCatalog.setStrings('es', {"All classes in this course":"Todas las clases de este curso","Average student progress per class":"Progreso promedio de los estudiantes por clase","Classes of other teachers":"Turma de otros maestros","Clean":"Limpiar","Courses Report":"Informe de cursos","Done":"Hecho","Filter by Keywords:":"Filtrar por palabras clave:","Filter by classes:":"Filtrar por clases:","Loading progress report...":"Cargando informe de progreso ...","Loading steps report...":"Cargando informe de pasos ...","Loading student reports...":"Cargando informes de estudiantes ...","My classes":"Mis clases","Not done":"No hecho","Number of students currently displayed:":"Número de estudiantes que se muestran actualmente:","Search":"Buscar","Select the language":"Seleccione el idioma","Show Steps":"Mostrar pasos","Student progress":"Progreso del estudiante","Total number of students:":"Número total de estudiantes:","Chapters":"Capítulos","Students":"Estudiantes"});
        gettextCatalog.setStrings('pt_br', {"All classes in this course":"Todas as aulas neste curso","Average student progress per class":"Progresso médio dos alunos por classe","Classes of other teachers":"Turmas de outros professores","Clean":"Limpar","Courses Report":"Relatório de Cursos","Done":"Feito","Filter by Keywords:":"Filtrar por palavras-chave:","Filter by classes:":"Filtrar por classes:","Loading progress report...":"Carregando relatório de progresso ...","Loading steps report...":"Carregando relatório de módulos ...","Loading student reports...":"Carregando relatórios de alunos ...","My classes":"Minhas aulas","Not done":"Não feito","Number of students currently displayed:":"Número de alunos exibidos atualmente:","Search":"Buscar","Select the language":"Selecione o idioma","Show Steps":"Mostrar módulos","Student progress":"Progresso do aluno","Total number of students:":"Número total de alunos:","Chapters":"Capítulos","Students":"Alunos"});
    }]);

})(angular);
